vncpasswd(1)

NAME
vncpasswd - setup VNC users and passwords

SYNOPSIS
vncpasswd -u [username] [-wnod] [passwd-file]

DESCRIPTION
vncpasswd allows you to add users and passwords used to access VNC desktops. Multiple users can be added, each with its own permissions. You can set view-only, use of mouse and keyboard allowed (-w), user managment permissions (-o). See OPTIONS below for details. Its default behavior is to prompt for a VNC password and then store an obfuscated version of this password to passwd-file (or to $HOME/.kasmpasswd if no password file is specified.) The vncserver script will ask you to add a user the first time you start a VNC desktop. HTTP Basic Authentication will be used to ask for username and password, when you connect. The password must be at least six characters long (maximum of 128 characters). Note that the stored password is not encrypted securely - anyone who has access to this file can trivially find out the plain-text password, so vncpasswd always sets appropriate permissions (read and write only by the owner.) However, when accessing a VNC desktop, a challenge-response mechanism is used over the wire making it hard for anyone to crack the password simply by snooping on the network.

OPTIONS

-u name
    Specify user name. There can be multiple users.

-w  Write permission. Enable user to use mouse and keyboard. The default mode is to view only.

-o  Owner permission. Allow the user to add/delete users and change their permissions.

-d  Delete user specified with -u. You need the owner permission for that.

-n  Don't update their password, while updating permissions.

FILES

$HOME/.kasmpasswd
    Default location of the VNC password file.

EXAMPLES

Create a new user foo that can to use mouse and keyboard:
    $ vncpasswd -u foo -w

Create a new user foo that can view, but can't use mouse and keyboard:
    $ vncpasswd -u foo

Create a new user foo that can add new users AND use mouse and keyboard:
    $ vncpasswd -u foo -ow

Delete user foo
    $ vncpasswd -u foo -d

Strip all permissions from user foo, making it view only. Don't touch password.
    $ vncpasswd -u foo -n

Strip all permissions from user foo, making it view only. Change password.
    $ vncpasswd -u foo

Add write permission for user foo. Don't touch password.
    $ vncpasswd -u foo -w -n

SEE ALSO
vncserver(1), Xvnc(1) vncconfig(1),
http://kasmweb.com

AUTHORS
Kasm Technologies Corp., Tristan Richardson, RealVNC Ltd., D. R. Commander and others. VNC was originally developed by the RealVNC team while at Olivetti Research Ltd / AT&T Laboratories Cambridge. TightVNC additions were implemented by Constantin Kaplinsky. Many other people have since participated in development, testing and support. KasmVNC has since forked and the project and has added many modern features and made the solution web native. This manual is part of the KasmVNC software suite.